$input a_position, a_color0, a_texcoord0
$output v_position, v_worldPosition, v_color0, v_texcoord0

#include "common.sh"

uniform vec4 u_currentTime; // x = elapsed time in seconds since engine init (0-100)

void main()
{
    v_position = a_position;
    v_worldPosition = mul(u_model[0], vec4(a_position, 1.0)).xyz;
    v_color0 = a_color0;
    v_texcoord0 = a_texcoord0;

    gl_Position = mul(u_modelViewProj, vec4(a_position, 1.0));
}
